import { __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classNames from 'classnames';
import { parseMetadata } from '@highlight-ui/utils-commons';
import { Button } from '@highlight-ui/button';
import styles from './ActionBar.module.scss.js';

var ActionBar = function (_a) {
  var primaryAction = _a.primaryAction,
      secondaryAction = _a.secondaryAction,
      information = _a.information,
      metadata = _a.metadata,
      className = _a.className,
      variant = _a.variant;
  var variantClassName = variant === 'full-width' ? styles.fullWidth : styles.inline;
  return /*#__PURE__*/React.createElement("div", __assign({
    className: classNames(styles.actionBar, variantClassName, className)
  }, parseMetadata(metadata)), information && /*#__PURE__*/React.createElement("div", {
    className: styles.centerAlignedFlex
  }, information), /*#__PURE__*/React.createElement("div", {
    className: styles.centerAlignedFlex
  }, secondaryAction && secondaryAction.label && /*#__PURE__*/React.createElement(Button, __assign({
    variant: "default",
    onClick: secondaryAction.onClick,
    buttonState: secondaryAction.buttonState
  }, parseMetadata(secondaryAction.metadata)), secondaryAction.label), /*#__PURE__*/React.createElement(Button, __assign({
    className: styles.primaryAction,
    variant: "primary",
    onClick: primaryAction.onClick,
    buttonState: primaryAction.buttonState
  }, parseMetadata(primaryAction.metadata)), primaryAction.label)));
};

export { ActionBar as default };
//# sourceMappingURL=ActionBar.js.map
